Trips
List trips for a business
Scopes: trip:read
GET
/
v0
/
business
/
{business_id}
/
trips
List trips for a business
curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/trips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/trips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/trips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_id": "biz_GA6EG2qFxA97NZHtxeLPUy",
"vehicle_id": "vhc_GA6EG2qFxA97NZHtxeLPUy",
"trip_date": "2026-04-22",
"distance": 42.5,
"distance_unit": "miles",
"start_address": "123 Main St, San Francisco, CA",
"end_address": "456 Market St, San Francisco, CA",
"id": "trp_GA6EG2qFxA97NZHtxeLPUy",
"external_id": "1234567890",
"notes": "Client lunch meeting",
"purpose": "personal",
"amount": 7.25,
"amount_reason": "Standard rate applied"
}
],
"pagination": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Filter trips by vehicle
Filter trips by exact external ID
Include trips with trip_date on or after this date (inclusive)
Include trips with trip_date on or before this date (inclusive)
Filter trips by purpose (business or personal)
Available options:
business, personal The page token to for the next or previous page
Required range:
1 <= x <= 100⌘I
List trips for a business
